%define _without_test 1
%define module_name JSON-Schema-AsType
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Clone.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(List/AllUtils.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util.pm) perl(MooseX/ClassAttribute.pm) perl(MooseX/MungeHas.pm) perl(Path/Tiny.pm) perl(Scalar/Util.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Type/Library.pm) perl(Type/Tiny.pm) perl(Type/Tiny/Class.pm) perl(Type/Utils.pm) perl(Types/Standard.pm) perl(URI.pm) perl(lib.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.4.3
Release: alt1
Summary: generates Type::Tiny types out of JSON schemas
Group: Development/Perl
License: perl
URL: https://github.com/yanick/JSON-Schema-AsType

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YA/YANICK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module takes in a JSON Schema (http://json-schema.org/) and turns it into a
the Type::Tiny manpage type.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc AUTHOR_PLEDGE LICENSE Changes CONTRIBUTORS
%perl_vendor_privlib/J*

%changelog
* Mon Dec 24 2018 Igor Vlasenko <viy@altlinux.ru> 0.4.3-alt1
- regenerated from template by package builder

* Mon Mar 20 2017 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1
- regenerated from template by package builder

* Tue Mar 22 2016 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1
- initial import by package builder

